<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array();
use Claromentis\Core\Event\Event;
use Claromentis\Infocapture\Model\ICFieldGroup;
class FieldPermissionsRelocatedEvent extends Event implements ProjectEventInterface
{
    protected $project;
    protected $old_rule;
    protected $new_rule;
    protected $group;
    public function __construct(\HDProject $project, ICFieldGroup $_e9208e4fb555ac989f7519e19c1da810, \HDFieldsRule $_ed4ca18f7f0af9c8ac5c31394e24b5e5, \HDFieldsRule $_68be42c0e15745b0e921385c2f091b00)
    {
        $this->project = $project;
        $this->group = $_e9208e4fb555ac989f7519e19c1da810;
        $this->old_rule = $_ed4ca18f7f0af9c8ac5c31394e24b5e5;
        $this->new_rule = $_68be42c0e15745b0e921385c2f091b00;
    }
    
    
    
    
    public function getProject() : \HDProject
    {
        return $this->project;
    }
    
    
    
    
    public function getGroup() : ICFieldGroup
    {
        return $this->group;
    }
    
    
    
    
    public function getOldRule() : \HDFieldsRule
    {
        return $this->old_rule;
    }
    
    
    
    
    public function getNewRule() : \HDFieldsRule
    {
        return $this->new_rule;
    }
}